Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransaction_transactionEntry_SmartCollectionReference

    java.lang.Object
      com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartCollectionReference
          com.beasys.commerce.ebusiness.payment.PaymentTransaction_transactionEntry_SmartCollectionReference

All Implemented Interfaces
  SmartCollectionReference, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class PaymentTransaction_transactionEntry_SmartCollectionReference

extends com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartCollectionReference

Base class for all SmartCollectionReferences for Belongings for BMP. Each subclass must implement its own query to fill the map.

See Also
  Serialized Form

Constructor Summary
`PaymentTransaction_transactionEntry_SmartCollectionReference(String attributeIdentifier, Object container)` Deprecated See BEA Commerce product offering

Method Summary
`static void` | `doCreate(Connection connection, Object key)` Deprecated See BEA Commerce product offering
`static void` | `doDelete(Connection connection, Object key)` Deprecated See BEA Commerce product offering
`Collection` | `doQuery(String attributeIdentifier, Object container)` Deprecated See BEA Commerce product offering
`static void` | `doUpdate(Connection connection, Object key, Object containedInstance, Object container)` Deprecated See BEA Commerce product offering
`protected Object` | `getPrimaryKey(Object object)` Deprecated See BEA Commerce product offering
`static void` | `update(Connection connection, Object key, Object container)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartCollectionReference
`cursor, deletedObjects, doSmartUpdate, fillReferenceMap, getCollection, newObjects, setCollection, updatedObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaymentTransaction_transactionEntry_SmartCollectionReference

    public PaymentTransaction_transactionEntry_SmartCollectionReference(String attributeIdentifier,
                                                                        Object container)

  Deprecated See BEA Commerce product offering

  constructor

  Parameters
    `attributeIdentifier` - the attribute identifier for this map reference. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is a map in the class
    `entityImpl` - the entity that contains this map.

Method Detail

### doQuery

    public Collection doQuery(String attributeIdentifier,
                              Object container)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  Perform the database query to fill this map.

  Specified by:
    `doQuery` in class `com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartCollectionReference`
  Throws
    `BMPException`

### getPrimaryKey

    protected Object getPrimaryKey(Object object)

  Deprecated See BEA Commerce product offering

  return the primary key values for this object

  Specified by:
    `getPrimaryKey` in class `com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartCollectionReference`

### update

    public static void update(Connection connection,
                              Object key,
                              Object container)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

### doCreate

    public static void doCreate(Connection connection,
                                Object key)
                         throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

### doDelete

    public static void doDelete(Connection connection,
                                Object key)
                         throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

### doUpdate

    public static void doUpdate(Connection connection,
                                Object key,
                                Object containedInstance,
                                Object container)
                         throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved